from enum import Enum
from abc import abstractmethod


class ComponentType(str, Enum):
    POSITION = "POSITION"
    CONTROLLABLE = "CONTROLLABLE"


class Component:
    def __init__(self, component_type: ComponentType):
        self.component_type = component_type

    @abstractmethod
    def dict(self) -> dict:
        pass
