from http import HTTPStatus

from fastapi.testclient import TestClient
from kennel.main import app
from structlog.testing import capture_logs

client = TestClient(app)


def test_healthcheck():
    response = client.get("/healthcheck")
    assert response.status_code == HTTPStatus.OK
    assert response.text == "hello"

def test_main():
    response = client.get("/")
    assert response.status_code == HTTPStatus.OK
    assert response.text.startswith("<!DOCTYPE html>")
